Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface SingleSelectionModel

All Known Implementing Classes:
  DefaultSingleSelectionModel

public interface SingleSelectionModel

A model that supports at most one indexed selection.

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds listener as a listener to changes in the model.
`void` | `clearSelection()` Clears the selection (to -1).
`int` | `getSelectedIndex()` Returns the model's selection.
`boolean` | `isSelected()` Returns true if the selection model currently has a selected value.
`void` | `removeChangeListener(ChangeListener listener)` Removes listener as a listener to changes in the model.
`void` | `setSelectedIndex(int index)` Sets the model's selected index to index.

Method Detail

### getSelectedIndex

    public int getSelectedIndex()

  Returns the model's selection.
  Returns:
    the model's selection, or -1 if there is no selection
  See Also:
    `setSelectedIndex(int)`

### setSelectedIndex

    public void setSelectedIndex(int index)

  Sets the model's selected index to index. Notifies any listeners if the model changes
  Parameters:
    `an` - int specifying the model selection
  See Also:
    `getSelectedIndex()`, `addChangeListener(javax.swing.event.ChangeListener)`

### clearSelection

    public void clearSelection()

  Clears the selection (to -1).

### isSelected

    public boolean isSelected()

  Returns true if the selection model currently has a selected value.
  Returns:
    true if a value is currently selected

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Adds listener as a listener to changes in the model.
  Parameters:
    `l` - the ChangeListener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Removes listener as a listener to changes in the model.
  Parameters:
    `l` - the ChangeListener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.